Skip to main content
Cards

Get a card by card id

This method requires the Cards:Get permission to be associated with your role.

GET
/fm/cards/{card_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
card_idstringrequired

Card Id

Note: 'deleted' records cannot be returned.

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$

Response

application/vnd.catch-e-api.v1+json

Success

account_numberstring
activated_datestring
card_idstring
card_numberstring
card_sub_status_idstring
client_id_rechargestring
contract_idstring
expiry_datestring
history_only_flagenum<string>default:no
Available options: no, yes
inactivated_datestring
notesstring
posting_flagenum<string>default:yes
Available options: no, yes
recharge_flagenum<string>default:no
Available options: no, yes
status_flagenum<string>default:active
Available options: active, inactive
supplier_idstring